Intel driver crashes on Ubuntu 15.10

Bug #1510970 reported by Johannes Merkert on 2015-10-28
704
This bug affects 120 people
Affects Status Importance Assigned to Milestone
xserver-xorg-video-intel (Ubuntu)
Medium
Unassigned

Bug Description

The Xserver crashes randomly after upgrading to Ubuntu 15.10. Before the update everything was stable.

The problem occured mostly while using Thunderbird but also once while using Firefox.

The Xserver crashes and I'm logged out. It takes about 10 seconds until gdm fires up again and I'm able to login again.

The last part of /var/log/Xorg.0.log says:
[ 19778.602] (II) intel(0): resizing framebuffer to 3000x1920
[ 19778.617] (II) intel(0): switch to mode 1920x1080@60.0 on HDMI2 using pipe 1, position (0, 0), rotation left, reflection none
[ 19778.623] (II) intel(0): switch to mode 1920x1080@60.0 on HDMI1 using pipe 0, position (1080, 406), rotation normal, reflection none
[ 19798.610] (II) intel(0): switch to mode 1920x1080@60.0 on HDMI1 using pipe 0, position (1080, 502), rotation normal, reflection none
[ 20012.432] (EE)
[ 20012.432] (EE) Backtrace:
[ 20012.433] (EE) 0: /usr/bin/X (xorg_backtrace+0x4e) [0x55cab7c8f62e]
[ 20012.433] (EE) 1: /usr/bin/X (0x55cab7adb000+0x1b8999) [0x55cab7c93999]
[ 20012.433] (EE) 2: /lib/x86_64-linux-gnu/libc.so.6 (0x7fe7c651d000+0x352f0) [0x7fe7c65522f0]
[ 20012.433] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fe7c28f4000+0x24f18) [0x7fe7c2918f18]
[ 20012.433] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fe7c28f4000+0x26157) [0x7fe7c291a157]
[ 20012.433] (EE) 5: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fe7c28f4000+0x2b4b1) [0x7fe7c291f4b1]
[ 20012.433] (EE) 6: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fe7c28f4000+0x804e4) [0x7fe7c29744e4]
[ 20012.433] (EE) 7: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fe7c28f4000+0x80e2c) [0x7fe7c2974e2c]
[ 20012.433] (EE) 8: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fe7c28f4000+0x82e1a) [0x7fe7c2976e1a]
[ 20012.433] (EE) 9: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fe7c28f4000+0x4197c) [0x7fe7c293597c]
[ 20012.433] (EE) 10: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fe7c28f4000+0x59906) [0x7fe7c294d906]
[ 20012.433] (EE) 11: /usr/bin/X (_CallCallbacks+0x34) [0x55cab7b38654]
[ 20012.433] (EE) 12: /usr/bin/X (WriteToClient+0x244) [0x55cab7c93274]
[ 20012.433] (EE) 13: /usr/bin/X (WriteEventsToClient+0x1e2) [0x55cab7b3e502]
[ 20012.433] (EE) 14: /usr/bin/X (0x55cab7adb000+0xf495a) [0x55cab7bcf95a]
[ 20012.433] (EE) 15: /usr/bin/X (0x55cab7adb000+0xf5ef5) [0x55cab7bd0ef5]
[ 20012.433] (EE) 16: /usr/bin/X (0x55cab7adb000+0x5818f) [0x55cab7b3318f]
[ 20012.433] (EE) 17: /usr/bin/X (0x55cab7adb000+0x5c34b) [0x55cab7b3734b]
[ 20012.433] (EE) 18: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xf0) [0x7fe7c653da40]
[ 20012.433] (EE) 19: /usr/bin/X (_start+0x29) [0x55cab7b216c9]
[ 20012.433] (EE)
[ 20012.433] (EE) Segmentation fault at address 0x0
[ 20012.433] (EE)
Fatal server error:
[ 20012.433] (EE) Caught signal 11 (Segmentation fault). Server aborting
[ 20012.433] (EE)
[ 20012.433] (EE)
Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.
[ 20012.433] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[ 20012.433] (EE)
[ 20012.433] (II) AIGLX: Suspending AIGLX clients for VT switch
[ 20012.456] (EE) Server terminated with error (1). Closing log file.

These parts of dmesg might be interesting:
[ 1.661760] input: Logitech USB Keyboard as /devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.6/3-1.6:1.1/0003:046D:C31C.0003/input/input8
[ 1.714657] hid-generic 0003:046D:C31C.0003: input,hidraw2: USB HID v1.10 Device [Logitech USB Keyboard] on usb-0000:00:1a.0-1.6/input1
[ 2.530993] [drm:intel_set_pch_fifo_underrun_reporting [i915]] *ERROR* uncleared pch fifo underrun on pch transcoder A
[ 2.531006] [drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH transcoder A FIFO underrun
[ 2.531018] [drm:intel_set_pch_fifo_underrun_reporting [i915]] *ERROR* uncleared pch fifo underrun on pch transcoder B
[ 2.531026] [drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH transcoder B FIFO underrun
[ 2.561370] EXT4-fs (sda6): mounted filesystem with ordered data mode. Opts: (null)
[ 2.586624] clocksource: Switched to clocksource tsc
[ 2.652818] systemd[1]: Failed to insert module 'kdbus': Function not implemented
[ 2.658814] systemd[1]: systemd 225 running in system mode. (+PAM +AUDIT +SELINUX +IMA +APPARMOR +SMACK +SYSVINIT +UTMP +LIBCRYPTSETUP +GCRYPT +GNUTLS +ACL +XZ -LZ4 +SECCOMP +BLKID -ELFUTILS +KMOD -IDN)
[ 2.658922] systemd[1]: Detected architecture x86-64.

[ 626.810377] audit_printk_skb: 45 callbacks suppressed
[ 626.810379] audit: type=1400 audit(1446023055.661:26): apparmor="STATUS" operation="profile_replace" profile="unconfined" name="/usr/sbin/ntpd" pid=7632 comm="apparmor_parser"
[ 1472.735741] perf interrupt took too long (2516 > 2500), lowering kernel.perf_event_max_sample_rate to 50000
[18181.742252] perf interrupt took too long (5015 > 5000), lowering kernel.perf_event_max_sample_rate to 25000
[20027.083426] QXcbEventReader[6871]: segfault at 7f9ae83f1a39 ip 00007f9ae83f1a39 sp 00007f9ae5ea9de0 error 14 in locale-archive[7f9ae847f000+443000]
---
.tmp.unity.support.test.0:

ApportVersion: 2.19.1-0ubuntu4
Architecture: amd64
BootLog:
 fsck from util-linux 2.26.2
 /dev/sda6: clean, 494071/6750208 files, 11149720/26982656 blocks
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
DistUpgraded: 2015-10-27 12:01:00,814 DEBUG enabling apt cron job
DistroCodename: wily
DistroRelease: Ubuntu 15.10
DistroVariant: ubuntu
DkmsStatus:
 virtualbox, 5.0.4, 3.19.0-31-generic, x86_64: installed
 virtualbox, 5.0.4, 4.2.0-16-generic, x86_64: installed
EcryptfsInUse: Yes
ExtraDebuggingInterest: Yes, including running git bisection searches
GraphicsCard:
 Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller [8086:0152] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Gigabyte Technology Co., Ltd Device [1458:d000]
InstallationDate: Installed on 2015-04-01 (211 days ago)
InstallationMedia: Ubuntu 14.04.2 LTS "Trusty Tahr" - Release amd64 (20150218.1)
MachineType: Gigabyte Technology Co., Ltd. To be filled by O.E.M.
Package: xorg 1:7.7+7ubuntu4
PackageArchitecture: amd64
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-16-generic root=UUID=b514c962-608b-4d57-950b-e56f54b6ff34 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 4.2.0-16.19-generic 4.2.3
Tags: wily ubuntu compiz-0.9
Uname: Linux 4.2.0-16-generic x86_64
UpgradeStatus: Upgraded to wily on 2015-10-27 (2 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 01/06/2014
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: F17b
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: Z77MX-D3H
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: x.x
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrF17b:bd01/06/2014:svnGigabyteTechnologyCo.,Ltd.:pnTobefilledbyO.E.M.:pvrTobefilledbyO.E.M.:rvnGigabyteTechnologyCo.,Ltd.:rnZ77MX-D3H:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: To be filled by O.E.M.
dmi.product.version: To be filled by O.E.M.
dmi.sys.vendor: Gigabyte Technology Co., Ltd.
version.compiz: compiz 1:0.9.12.2+15.10.20151015-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.64-1
version.libgl1-mesa-dri: libgl1-mesa-dri 11.0.2-1ubuntu4
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 11.0.2-1ubuntu4
version.xserver-xorg-core: xserver-xorg-core 2:1.17.2-1ubuntu9
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.9.2-1ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.5.0+git20150819-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20150808-0ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.11-1ubuntu3
xserver.bootTime: Thu Oct 29 10:20:34 2015
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:

xserver.version: 2:1.17.2-1ubuntu9

Timo Aaltonen (tjaalton) on 2015-10-28
affects: xorg-server (Ubuntu) → xserver-xorg-video-intel (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed

Johannes Merkert, thank you for reporting this and helping make Ubuntu better.

Could you please run the following command from a terminal as it will automatically gather and attach updated debug information to this report:
apport-collect -p xorg 1510970

Please ensure you have the package xdiagnose installed, and that you click the Yes button for attaching additional debugging information.

When reporting xorg related bugs in the future, please do so via the above method. You can learn more about this functionality at https://wiki.ubuntu.com/ReportingBugs.

affects: xserver-xorg-video-intel (Ubuntu) → xorg (Ubuntu)
Changed in xorg (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete

apport information

tags: added: apport-collected compiz-0.9 ubuntu wily
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

tags: added: bios-outdated-f.15
tags: added: latest-bios-f.15
removed: bios-outdated-f.15
affects: xorg (Ubuntu) → xserver-xorg-video-intel (Ubuntu)
Changed in xserver-xorg-video-intel (Ubuntu):
importance: Low → Medium
status: Incomplete → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed
Johannes Merkert (4-jonny) wrote :

Today I had a scenario where I could reproduce the Bug: I opened LibreOffice Writer and inserted areas into the document. The first one always worked but when I created the second area the X-server crashed.

I also noticed that apport took longer with each crash. After the third crash I always killed apport because it prevented me for more than 30s to log in again.

Could you give some update on the status of this bug? Is somebody from Intel working on this?
I have to downgrade to an older Ubuntu version if this bug can't be fixed soon.

I can reproduce this consistently by opening up a calendar event in Thunderbird. I also could reproduce this consistently when I opened up a chat log dialog in Pidgin - but I could work around it by disabling animations via CompizConfigSettingsManager. @Johannes, you could try that work around, but yes, please fix this. I think booting into a different kernel fixes the problem, but I have things installed that depend on the latest kernel.

Robert Hrovat (robi-hipnos) wrote :

Disabling animations did not help me. There are less crashes but still happens. Almost everytime when I try to reply to a mail or open calendar event in Thunderbird. This is not happening on other machines with non-intel graphic cards.

Robert Hrovat (robi-hipnos) wrote :

I installed Gnome Flashback session, login with metacity (no compiz) and it does not crash anymore. It's just a workaround but it might be better than reinstalling with older version just because of this show stopper.

aldebx (aldebx) wrote :

Devs, please check if this bug is the same as Bug #1501088 Bug #1501468 Bug #1502397 Bug #1503991 Bug #1504102 Bug #1504806 Bug #1504998 Bug #1505400 Bug #1505755 Bug #1505920 Bug #1506134 bug #1506321 Bug #1506346 Bug #1506650 Bug #1507059 Bug #1507202 Bug #1507343 Bug #1507569 Bug #1507659 bug #1509355 bug #1509622 Bug #1509644 Bug #1509846 bug #1509846 bug #1510998 bug #1511145 bug #1511343 bug #1511476 bug #1511512 bug #1511615 bug #1511704 Bug #1511819 Bug #1511898 Bug #1512097 Bug #1512365

They all show common patterns such as:
- Intel graphic cards
- Ubuntu 15.10
- Unity desktop environment
- Xorg crashes while opening applications windows or menus such as in thunderbird/libreoffice/etc.

From my findings, a temporary workaround to prevent X from crashing while opening windows/menus is to disable window animations in Compiz. Use compizconfig-settings-manager for this tweak (sudo apt-get install compizconfig-settings-manager). You can also use desktop environments such as XFCE and LXDE which do not use compiz.

After upgrading to kernel 4.3 I didn't run into this issue for several (5) days.
Kernels can be downloaded from http://kernel.ubuntu.com/~kernel-ppa/mainline/

Please join me in testing is this bug has been fixed upstream.

My current kernel:
Linux 4.3.0-040300rc7-generic #201510260712 SMP Mon Oct 26 11:14:07 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

SlavikZ (slavikz) wrote :

In may case disabling animations just decrease number of crashes from couple crashes per day to couple crashes per week.

Download full text (9.5 KiB)

Hello; i have had the same issues on others DE like Manjaro, Mageia and Linux Mint. Now, i'm trying Antergos (Arch distro with Gnome default); crashes continue;i've found this site https://wiki.archlinux.org/index.php/Intel_graphics and i did this: to enable KMS during the initramfs stage. To do this, add the i915 module to the MODULES line in /etc/mkinitcpio.conf. And i've changed  LDM  for GDM. For now, since few days, crashes stopped.
Cheers;

     Le Mardi 3 novembre 2015 14h14, SlavikZ <email address hidden> a écrit :

 In may case disabling animations just decrease number of crashes from
couple crashes per day to couple crashes per week.

--
You received this bug notification because you are subscribed to a
duplicate bug report (1502397).
https://bugs.launchpad.net/bugs/1510970

Title:
  Intel driver crashes on Ubuntu 15.10

Status in xserver-xorg-video-intel package in Ubuntu:
  Confirmed

Bug description:
  The Xserver crashes randomly after upgrading to Ubuntu 15.10. Before
  the update everything was stable.

  The problem occured mostly while using Thunderbird but also once while
  using Firefox.

  The Xserver crashes and I'm logged out. It takes about 10 seconds
  until gdm fires up again and I'm able to login again.

  The last part of /var/log/Xorg.0.log says:
  [ 19778.602] (II) intel(0): resizing framebuffer to 3000x1920
  [ 19778.617] (II) intel(0): switch to mode 1920x1080@60.0 on HDMI2 using pipe 1, position (0, 0), rotation left, reflection none
  [ 19778.623] (II) intel(0): switch to mode 1920x1080@60.0 on HDMI1 using pipe 0, position (1080, 406), rotation normal, reflection none
  [ 19798.610] (II) intel(0): switch to mode 1920x1080@60.0 on HDMI1 using pipe 0, position (1080, 502), rotation normal, reflection none
  [ 20012.432] (EE)
  [ 20012.432] (EE) Backtrace:
  [ 20012.433] (EE) 0: /usr/bin/X (xorg_backtrace+0x4e) [0x55cab7c8f62e]
  [ 20012.433] (EE) 1: /usr/bin/X (0x55cab7adb000+0x1b8999) [0x55cab7c93999]
  [ 20012.433] (EE) 2: /lib/x86_64-linux-gnu/libc.so.6 (0x7fe7c651d000+0x352f0) [0x7fe7c65522f0]
  [ 20012.433] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fe7c28f4000+0x24f18) [0x7fe7c2918f18]
  [ 20012.433] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fe7c28f4000+0x26157) [0x7fe7c291a157]
  [ 20012.433] (EE) 5: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fe7c28f4000+0x2b4b1) [0x7fe7c291f4b1]
  [ 20012.433] (EE) 6: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fe7c28f4000+0x804e4) [0x7fe7c29744e4]
  [ 20012.433] (EE) 7: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fe7c28f4000+0x80e2c) [0x7fe7c2974e2c]
  [ 20012.433] (EE) 8: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fe7c28f4000+0x82e1a) [0x7fe7c2976e1a]
  [ 20012.433] (EE) 9: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fe7c28f4000+0x4197c) [0x7fe7c293597c]
  [ 20012.433] (EE) 10: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fe7c28f4000+0x59906) [0x7fe7c294d906]
  [ 20012.433] (EE) 11: /usr/bin/X (_CallCallbacks+0x34) [0x55cab7b38654]
  [ 20012.433] (EE) 12: /usr/bin/X (WriteToClient+0x244) [0x55cab7c93274]
  [ 20012.433] (EE) 13: /usr/bin/X (WriteEventsToClient+0x1e2) [0x55cab7b3e502]
  [ 20012.433] (EE) 14: /usr/bin/X ...

Read more...

aldebx (aldebx) wrote :

@slavikz, could you please try using kernel 4.3? In my case I didn't run into this issue any more ever since I upgraded several days ago. Upcoming kernels can be downloaded from http://kernel.ubuntu.com/~kernel-ppa/mainline/

Johannes Merkert (4-jonny) wrote :

I updated the kernel to 4.3 today but still got two crashes since then.

I also created /etc/mkinitcpio.conf and put "i915" in the file but that did not change anything.

dopez (dopez) wrote :

I also upgraded to kernel 4.3 and added xorg-edgers but I still get crashes randomly

Davernos (davefury) wrote :

Crashes using kernel 4.3 too.

SlavikZ (slavikz) wrote :

I could just confirm that on kernel 4.3.0-040300 crashes are still happen.

This seems to solve the problem for now

/etc/X11/xorg.conf.d/20-intel.conf

Section "Device"
 Identifier "Card0"
 Driver "Intel"
 Option "AccelMethod" "uxa"
EndSection

So disable sna...

Dejavu - I have done this before - disabling sna. I will give it a go, thanks. I had two crashes yesterday.

Linux akarollil-desktop 4.2.0-16-generic #19-Ubuntu SMP Thu Oct 8 15:35:06 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Seems to be working, for people running Ubuntu 15.10, the location of the file (20-intel.conf) with the contents that Georgi mentions above is /usr/share/X11/xorg.conf.d (rather than /etc/X11).

You can check if SNA is enabled by:

cat /var/log/Xorg.0.log | grep SNA

If you see it in the log, reboot after creating 20-intel.conf file as described above and you shouldn't. And hopefully the crashes will go away. Initial testing seems to indicate it fixes it for me.

Confirm disabling SNA as a suitable workaround, no crashes since adding 'Option "AccelMethod" "uxa"'. Thanks to Georgi Ivanov and Anoop Karollil!

Johan Tol (jto-joto) wrote :

Thank you Georgi for the workaround. Works for me!

Jay Hennessey (henn) wrote :

FYI - I and others I know have hit this crash on at least 4 different machines using intel graphics after upgrading to 15.10.

Please let me know if there's something I can do to assist in tracking down the bug.

Robert Hrovat (robi-hipnos) wrote :

Georgi thanks! No crashes so far. Even with compiz animations turned back on.

Davernos (davefury) wrote :

Disabling sna worked like a charm!

Cormac (cormac-wilcox) wrote :

I can also confirm that disabling sna worked.

Hein (hhanssen) wrote :

In can also coonfirm that disabling SNA seems to work so far. It was very easy to let my system crash before. Just open Libreoffice a few times and resize the windowsize by clicking on the title bar.

Raoul Bhatia (raoul-bhatia) wrote :

I have had no crashes since a couple of days (however, of little usage).

SNA is still active:
$ cat /var/log/Xorg.0.log | grep SNA --color
[ 11.933] (II) intel(0): SNA compiled: xserver-xorg-video-intel 2:2.99.917+git20150808-0ubuntu4 (Robert Ancell <email address hidden>)
[ 11.933] (II) intel(0): SNA compiled for use with valgrind
[ 11.973] (II) intel(0): SNA initialized with Ivybridge (gen7, gt2) backend

Kernel:
$ uname -a
Linux raobhati.cisco.com 4.2.0-19-generic #23-Ubuntu SMP Wed Nov 11 11:39:30 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Sven (sven-koehler) wrote :

Disabled SNA like suggested in comment #40 and that fixed the problem for me. This was serious for me, as playing a video in VLC (and maybe moving the window or seeking in the video) would crash X within a few seconds.

Mark Nitters (mark-nitters) wrote :

On my system /usr/share/X11/xorg:conf:d/20-intel.conf did not exist. Creating it with the following content solved the crashes:

me@host:/usr/share/X11/xorg.conf.d# cat 20-intel.conf
Section "Device"
 Identifier "Card0"
 Driver "Intel"
 Option "AccelMethod" "uxa"
EndSection

Crashes were consistently reproducible when de-maximizing libreoffice writer

Had the same problem, in particular with predictable crash when de-maximizing libreoffice writer. The workaround by Mark Nitters fixed this, but, instead of this, also installation of intel's latest drivers from here: https://01.org/linuxgraphics/downloads/intel-graphics-installer-linux-1.2.1 , which is then using SNA acceleration.

Had the same problem, in particular reproducible crashes when de-maximizing libreoffice writer. Disabling SNA as suggested by Mark Nitters above fixed it, but also instead installation of intel's latest drivers from here https://01.org/linuxgraphics/downloads/intel-graphics-installer-linux-1.2.1 This will then use SNA graphics acceleration.

Johan Tol (jto-joto) wrote :

Thank you Axel for pointing to the intel drivers. I installed the latest drivers and enabled SNA again. It looks as if it takes longer to crash now, but eventually it does. Prior to the update it was easy for me the reproduce a crash with LibreOffice Calc. That requires a bit more effort now. I guess I have to go back to uxa again.

Anyone looking for a solution to the bug?

Timo Aaltonen (tjaalton) wrote :

Axel: note that 2015Q3 intel stack actually reverts to the old -intel release (2.99.917) which has it's own set of bugs.

Someone willing to bisect between the wily -intel driver and xenial version would be nice.

Felix (apoapo) wrote :

The "uxa" #52 workaround helped me with starting games from steam again.

Maybe this helps with reproducing the bug: Constant crashes ocurred while starting the game "screencheat" on Ubuntu 15.10, amd64.

Dieter (dieter-ho) wrote :

Same problems for weeks. Opening video files (vlan). Using Firefox. Opening or closing folders via SMB to an external NAS.
And other activities which i do not remember, sorry.
First i would get the login screen again after 10-120 seconds. Then the crash report would tell me that it was xorg.

It might not be the same bug then please ignore my ranting.

But the last few days (since around xmas) the system would not do that anymore but simply freeze. Only hard reset helps even after waiting 15 minutes. I always install updates immediately.
Using Lenovo X220 with 15.10.
Will now try disabling SNA and see how it goes.

Bad bug! Was in the middle of important work that actually pays my bills.....

KaySL (kaysl13) wrote :

After a few days of this, added the xorg-edgers PPA, upgraded to the newer packages, and I haven't had a single X server crash since. I also installed the 4.4.0-040400rc4-generic kernel available here: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.4-rc4-wily/ but I'm not sure if that's required in addition to Edgers.

Disappointing that this bug remains unfixed.

Can't find my 20-intel.conf anywhere on my machine - but I have the same crashes. Hmmm ... how else can I disable SNA for my intel graphic card for my Thinkpad laptop?

You can create the file with contents described in comment #40. The location of the file can be the one described in #40 or #42, or possibly some place else depending on your version of Linux I guess.

kosiara (kosiara87) wrote :

I created the file:
sudo touch /usr/share/X11/xorg.conf.d/20-intel.conf

sudo nano /usr/share/X11/xorg.conf.d/20-intel.conf
Then pasted the following content:

Section "Device"
 Identifier "Card0"
 Driver "Intel"
 Option "AccelMethod" "uxa"
EndSection

which resolved the random crash errors.

cat /var/log/Xorg.0.log | grep -i sna

to check if SNA is enabled and working

Some time before that I disabled window animations but that only diminished the number of crashes.

kosiara (kosiara87) wrote :

#63 :
My configuration is:
Intel® Core™ i5-3470 CPU @ 3.20GHz × 4
Intel® Ivybridge Desktop
Ubuntu 15.10 64-bit
4.4.2-040402-generic #201602171633

Sven (sven-koehler) wrote :

On Gentoo, I'm using the intel driver _with_ SNA acceleration on a Haswell system without issues. I'm using snapshot of the driver as recent as February 24th.

Olivier Febwin (febcrash) wrote :

Thank you Georgi for the workaround. Works for me!

CB (cbrchrt) wrote :

I have the same problem. My config:

Intel(R) Core(TM) i5-3470 CPU @ 3.20GHz
Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller
Ubuntu 14.04.4 LTS
Kernel 4.2.0-34-generic #39~14.04.1-Ubuntu

What is the status for this bug for upcoming Xenial? Is it resolved or is the workaround still necessary?

Netibqa (3qt1yo+ey6ksntdibqag) wrote :

I had the same bug with 15.10. I used xubuntu, with awesome instead of xfce. None of the solutions here worked.

When I had an external screen connected, the other screen would not crash, and by going to arandr, unchecking then re-checking my main screen would bring it back. When the screen is black, there are signs that everything still behaves as if there was a working screen.

I reverted to 14.04 and all was fine, and now I upgraded to 16.04, and am using xubuntu with xfce. The bug is back, and pretty frequent, but I don't seem to see how to reproduce it (sometimes I'm just reading something and it crashes). I disabled SNA again, maybe this time it will work ?

I don't get how this is not a more urgent bug.

I'm still experiencing this on 16.04. Switching to UXA acceleration fixes the problem. I'm on a Dell XPS 13 9350, with a Skylake i7-6500U CPU.

Download full text (9.5 KiB)

Thanks, trying it now.

Pietro Callisto

On 3 May 2016 at 01:56, Anders Olsson <email address hidden> wrote:

> I'm still experiencing this on 16.04. Switching to UXA acceleration
> fixes the problem. I'm on a Dell XPS 13 9350, with a Skylake i7-6500U
> CPU.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1510970
>
> Title:
> Intel driver crashes on Ubuntu 15.10
>
> Status in xserver-xorg-video-intel package in Ubuntu:
> Confirmed
>
> Bug description:
> The Xserver crashes randomly after upgrading to Ubuntu 15.10. Before
> the update everything was stable.
>
> The problem occured mostly while using Thunderbird but also once while
> using Firefox.
>
> The Xserver crashes and I'm logged out. It takes about 10 seconds
> until gdm fires up again and I'm able to login again.
>
> The last part of /var/log/Xorg.0.log says:
> [ 19778.602] (II) intel(0): resizing framebuffer to 3000x1920
> [ 19778.617] (II) intel(0): switch to mode 1920x1080@60.0 on HDMI2
> using pipe 1, position (0, 0), rotation left, reflection none
> [ 19778.623] (II) intel(0): switch to mode 1920x1080@60.0 on HDMI1
> using pipe 0, position (1080, 406), rotation normal, reflection none
> [ 19798.610] (II) intel(0): switch to mode 1920x1080@60.0 on HDMI1
> using pipe 0, position (1080, 502), rotation normal, reflection none
> [ 20012.432] (EE)
> [ 20012.432] (EE) Backtrace:
> [ 20012.433] (EE) 0: /usr/bin/X (xorg_backtrace+0x4e) [0x55cab7c8f62e]
> [ 20012.433] (EE) 1: /usr/bin/X (0x55cab7adb000+0x1b8999)
> [0x55cab7c93999]
> [ 20012.433] (EE) 2: /lib/x86_64-linux-gnu/libc.so.6
> (0x7fe7c651d000+0x352f0) [0x7fe7c65522f0]
> [ 20012.433] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so
> (0x7fe7c28f4000+0x24f18) [0x7fe7c2918f18]
> [ 20012.433] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so
> (0x7fe7c28f4000+0x26157) [0x7fe7c291a157]
> [ 20012.433] (EE) 5: /usr/lib/xorg/modules/drivers/intel_drv.so
> (0x7fe7c28f4000+0x2b4b1) [0x7fe7c291f4b1]
> [ 20012.433] (EE) 6: /usr/lib/xorg/modules/drivers/intel_drv.so
> (0x7fe7c28f4000+0x804e4) [0x7fe7c29744e4]
> [ 20012.433] (EE) 7: /usr/lib/xorg/modules/drivers/intel_drv.so
> (0x7fe7c28f4000+0x80e2c) [0x7fe7c2974e2c]
> [ 20012.433] (EE) 8: /usr/lib/xorg/modules/drivers/intel_drv.so
> (0x7fe7c28f4000+0x82e1a) [0x7fe7c2976e1a]
> [ 20012.433] (EE) 9: /usr/lib/xorg/modules/drivers/intel_drv.so
> (0x7fe7c28f4000+0x4197c) [0x7fe7c293597c]
> [ 20012.433] (EE) 10: /usr/lib/xorg/modules/drivers/intel_drv.so
> (0x7fe7c28f4000+0x59906) [0x7fe7c294d906]
> [ 20012.433] (EE) 11: /usr/bin/X (_CallCallbacks+0x34) [0x55cab7b38654]
> [ 20012.433] (EE) 12: /usr/bin/X (WriteToClient+0x244) [0x55cab7c93274]
> [ 20012.433] (EE) 13: /usr/bin/X (WriteEventsToClient+0x1e2)
> [0x55cab7b3e502]
> [ 20012.433] (EE) 14: /usr/bin/X (0x55cab7adb000+0xf495a)
> [0x55cab7bcf95a]
> [ 20012.433] (EE) 15: /usr/bin/X (0x55cab7adb000+0xf5ef5)
> [0x55cab7bd0ef5]
> [ 20012.433] (EE) 16: /usr/bin/X (0x55cab7adb000+0x5818f)
> [0x55cab7b3318f]
> [ 20012.433] (EE) 17: /usr/bin/X (0x55cab7adb000+0x5c34b)
> [0x55cab7b3734b]
> [ 20012.433] ...

Read more...

KaySL (kaysl13) wrote :

This no longer happens for me after doing a clean install of 16.04. I'm running kernel version 4.4.0-18, with a Broadwell i5-5200U CPU.

Johan Tol (jto-joto) wrote :

The same for me. Today I rolled back the "uxa"-workaround by deleting the 20-intel.conf file from /etc/X11/xorg.conf.d (I didn't have one before the workaround). After a couple of hours I still haven't had a single crash. I guess 16.04 solved the problem.

Cormac (cormac-wilcox) wrote :

I have also rolled back to SNA and haven't yet had a crash so 16.04 seems to have solved the issue. I will probably have a crash now as soon as I post this comment.

muhkuh (markus-henschel) wrote :

I have a laptop with an old Intel 945G Chipset. When upgrading from 14.04 to 16.04 Xorg already crashed on Startup before I was successfully logged in (have auto-login enabled). Applying the Workaround from #40 worked. I get into the Desktop session and everything seems stable.

To post a comment you must log in.